
// Copyright 1996 John Storrs. All rights reserved. This work may be copied, 
// modified and distributed under the terms of the GNU General Public License.

#include "HexapodBed.H"

HexapodBed::HexapodBed
  (char* name, const BedParameters& parameters) : Artifact(name)
{
   width = parameters.width;
   height = parameters.height;
   thickness = parameters.thickness;
   supportTubeRadius = parameters.supportTubeRadius;

   Vector3 corner1 (-width/2, -width/2, height - thickness);
   Vector3 topCorner3 (width/2, width/2, height);

   bed = Box(corner1, topCorner3);
   add(&bed);
}

void
HexapodBed::operator= 
  (const HexapodBed& source)
{
   width = source.width;
   height = source.height;
   thickness = source.thickness;
   supportTubeRadius = source.supportTubeRadius;
   bed = source.bed;
   add(&bed);
}
