
// Copyright 1996 John Storrs. All rights reserved. This work may be copied, 
// modified and distributed under the terms of the GNU General Public License.

#ifndef HexapodBedClasses
#define HexapodBedClasses

#include <math.h>
#include "Primitive.H"
#include "Artifact.H"

struct BedParameters
{
   double 
      width,  // width of square bed box
      height,  // top height above floor reference plane
      thickness,  // thickness of bed box
      supportTubeRadius;  // support tube radius
};

class HexapodBed: public Artifact
{
   public:
      HexapodBed(){};
      HexapodBed
        (char* name, const BedParameters& parameters);
      void operator= 
        (const HexapodBed& source);

   private:
      double 
         width, 
         height, 
	 thickness, 
	 supportTubeRadius;
      Box bed;
};

#endif
