
// Copyright 1996 John Storrs. All rights reserved. This work may be copied, 
// modified and distributed under the terms of the GNU General Public License.

// Hexapod Bottom Joint

#include "HexapodBottomJoint.H"

HexapodBottomJoint::HexapodBottomJoint
  (char* name, const BottomJointParameters& parameters) : Artifact(name)
{
   // copy parameters
   ballRadius = parameters.ballRadius;
   
   ball = Sphere(Vector3(0, 0, 0), ballRadius);
   add(&ball);
}

void
HexapodBottomJoint::operator= 
  (const HexapodBottomJoint& that)
{
   // mirror that to this
   memcpy(this, &that, sizeof(*this));

   // fix artifact components
   firstPrimitive = 0;
   add(&ball);
}
