
// Copyright 1996 John Storrs. All rights reserved. This work may be copied, 
// modified and distributed under the terms of the GNU General Public License.

// HexapodFrameBall class - standard hexapod frame component

#include "HexapodFrameBall.H"

HexapodFrameBall::HexapodFrameBall
  (char* name, double radius) : Artifact(name)
{
   // initialise data member
   ballRadius = radius;

   // construct hexapod frame ball
   sphere = Sphere(Vector3(0, 0, 0), radius);
   add(&sphere);
}

void
HexapodFrameBall::operator= 
  (const HexapodFrameBall& that)
{
   // mirror that to this
   memcpy(this, &that, sizeof(*this));

   // fix artifact components
   firstPrimitive = 0;
   add(&sphere);
}
