
// Copyright 1996 John Storrs. All rights reserved. This work may be copied, 
// modified and distributed under the terms of the GNU General Public License.

// Tube with cone ends - for now the cone is taken as a full cone with the
// apex at the ball centre, with length defined as a constant*tubeRadius in
// the main constructor below.

#ifndef HexapodFrameTubeClass
#define HexapodFrameTubeClass

#include <math.h>
#include "Primitive.H"
#include "Artifact.H"

class HexapodFrameTube: public Artifact
{
   public:
      HexapodFrameTube() {};
      HexapodFrameTube
        (char* name, double radius,
         Vector3 p1, Vector3 p2);
      void operator= 
        (const HexapodFrameTube& that);

   private:
      double tubeRadius;
      Cone cone1, cone2;
      Cylinder cylinder;
};

#endif
