
// Copyright 1996 John Storrs. All rights reserved. This work may be copied, 
// modified and distributed under the terms of the GNU General Public License.

// Hexapod Platform

#include "HexapodPlatform.H"

HexapodPlatform::HexapodPlatform
  (char* name, const PlatformParameters& parameters) : Artifact(name)
{
   // copy parameters
   radius = parameters.radius;
   thickness = parameters.thickness;

   Vector3 centreLine1(0, 0, 0);
   Vector3 centreLine2(0, 0, thickness);

   cylinder = Cylinder(centreLine1, centreLine2, radius);
   add(&cylinder);
}

void
HexapodPlatform::operator= 
  (const HexapodPlatform& that)
{
   // mirror that to this
   memcpy(this, &that, sizeof(*this));

   // fix artifact components
   firstPrimitive = 0;
   add(&cylinder);
}
