
// Copyright 1996 John Storrs. All rights reserved. This work may be copied, 
// modified and distributed under the terms of the GNU General Public License.

#ifndef HexapodPlatformClass
#define HexapodPlatformClass

#include <math.h>
#include "Primitive.H"
#include "Artifact.H"

struct PlatformParameters
{
   double 
      radius,  // radius of circular platform
      thickness;  // thickness of circular platform
};

class HexapodPlatform: public Artifact
{
   public:
      HexapodPlatform() {};
      HexapodPlatform
        (char* name, const PlatformParameters& parameters);
      void operator= 
        (const HexapodPlatform& that);

   private:
      double radius, thickness; 
      Cylinder cylinder;
};

#endif
