
#version 3.0
global_settings { assumed_gamma 2.2 }

#include "colors.inc"
#include "metals.inc"

// camera used for perspective projection (POV-Ray standard)
// looking at the center of the cage

camera {
  perspective
  location <-3200, 0, 1500>
  right <6/7.4, 0, 0>
  up <0, 1, 0>
  direction <0, 1, 0>
  sky <0, 0, 1>
  look_at <0, 0, 1100>
  angle 55
}

background { color red 0.3 green 0.8 blue 1 }

light_source { <-4000, -2000, 1500> color Gray60}
light_source { <-4000,  2000, 1500> color Gray60}

#declare MyTexture1 =
texture {
  pigment {
    color red 0.8 green 0.8 blue 0.8
  }
  finish {
    ambient 0.3
    brilliance 2
    diffuse 0.5
    metallic
    phong 1
    phong_size 300
    specular 0.8
    roughness 1/20
    reflection 0.2
    refraction 0
    ior 0
  }
}

#include "POVSource"
